Subject: Re: [Bugme-new] [Bug 11629] New: quad G5 fails to shut down

From: Joel Schopp <[email-masked]>
Date: Fri, 26 Sep 2008 14:17:26 -0500

> From: Johannes Berg <[email-masked]>
> Subject: powerpc: fix shutdown
>
> I tracked down the shutdown regression to CPUs not dying
> when being shut down during power-off. This turns out to
> be due to the system_state being SYSTEM_POWER_OFF, which
> this code doesn't take as a valid state for shutting off
> CPUs in.
>
> This has never made sense to me, but when I added hotplug
> code to implement hibernate I only "made it work" and did
> not question the need to check the system_state. Thomas
> Gleixner helped me dig, but the only thing we found is
> that it was added with the original commit that added CPU
> hotplug support.
>
> Signed-off-by: Johannes Berg <[email-masked]>
> Cc: Thomas Gleixner <[email-masked]>
> Cc: Joel Schopp <[email-masked]>
> Cc: Benjamin Herrenschmidt <[email-masked]>
>   
Tested this patch on a Power6 partition with cpu hotplug online/offline 
and some shutdown and reboot cycles.  Didn't see any ill effects.

Acked-by: Joel Schopp <[email-masked]>